Page MenuHomePhabricator

Convert Score to use extension registration
Closed, ResolvedPublic

Description

The Score extension needs to be converted to use the new extension registration system. More details are available on T87875.

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptJan 29 2015, 7:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdforrester-WMF triaged this task as Low priority.Sep 4 2015, 6:56 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 6:56 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 7:03 PM
Liuxinyu970226 set Security to None.

I'm going to propose (and mentor) this as a task for Google-Code-In-2015.

Change 259219 had a related patch set uploaded (by Ananay):
Bug:T87970. Converted to use extension registration. MediaWiki works fine but in the background it pops up this error: Strict Standards: call_user_func_array() expects parameter 1 to be a valid callback, non-static method ScoreHooks::efScoreExtension() sh

https://gerrit.wikimedia.org/r/259219

Change 259219 had a related patch set uploaded (by Ananay):
All errors fixed.

https://gerrit.wikimedia.org/r/259219

Change 259219 merged by jenkins-bot:
Converted MediaWiki extension "Score" to use extension registration

https://gerrit.wikimedia.org/r/259219

Aklapper closed this task as Resolved.Dec 19 2015, 3:33 PM
Aklapper assigned this task to ananayarora.